safe_local_iterator.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_debug::_Safe_local_iterator< _Iterator, _Sequence >

## Namespaces

namespace | __gnu_debug

## Macros

#define | _GLIBCXX_DEBUG_VERIFY_OPERANDS(_Lhs, _Rhs)

## Functions

template<typename _Iterator , typename _Sequence >
_Iterator | __gnu_debug::__unsafe (const _Safe_local_iterator< _Iterator, _Sequence > &__it)
template<typename _Iterator , typename _Sequence >
bool | __gnu_debug::__valid_range (const _Safe_local_iterator< _Iterator, _Sequence > &, const _Safe_local_iterator< _Iterator, _Sequence > &)
template<typename _Iterator , typename _Sequence >
bool | __gnu_debug::__valid_range (const _Safe_local_iterator< _Iterator, _Sequence > &, const _Safe_local_iterator< _Iterator, _Sequence > &, typename _Distance_traits< _Iterator >::__type &)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file safe_local_iterator.h.

## Macro Definition Documentation

## _GLIBCXX_DEBUG_VERIFY_OPERANDS

#define _GLIBCXX_DEBUG_VERIFY_OPERANDS | ( |  | _Lhs,
|  |  | _Rhs
| ) |  |

Definition at line 34 of file safe_local_iterator.h.